.App {
  text-align: center;
}

header {
  display: none;
}

div.modal-header {
  box-sizing: border-box;
  padding: 1rem 1rem;
  background-color: #db2269;
  padding: 1rem 1rem;
  border-bottom: 1px solid #dee2e6;
  border-top-left-radius: 6px;
  border-top-right-radius: 6px;
  color: #fefefe;
}
.form-wrapper {
  width: 100%;
  background-color: #fefefe;
  min-height:450px;

}

form {
  grid-template-columns: 1fr;
  grid-template-rows: 4fr;
  padding: 20px 40px;
}

div.field {
  padding: 0 0 35px 0;
}

label {
  display: block;
  text-align: left;
  padding: 0 0 10px 0;
}

input {
  border-radius: 5px;
  width: 95%;
  height: 40px;
  outline: none;
  border: 1px solid #d6d1d5;
  padding: 10px;
  font-size: 1rem;
}
input.error {
  border: 1px solid #db2269;
  font-size: 1rem;
}
p.error {
  text-align: left;
  color: #db2269;
  font-size: 0.85rem;
}

span.required {
  color: #db2269;
}

.button {
  width: 100%;
  cursor: pointer;
  height: 50px;
  border-radius: 4px;
  background-color: #22223b;
  color: #fefefe;
  font-size: 1rem;
}
.button:hover {
  background-color: #4a4e69;
  color: #fefefe;
}
.button.disabled {
  background-color: #dee2e6;
}

.button.disabled:hover {
  background-color: #dee2e6;
  color: #fefefe;
}

div.submit {
  margin-top: 20px;
  width: 100%;
  grid-column: 1/4;
  grid-row: 1;
}
div.submit img{
  position: absolute;
  margin-left: -100px;
}

@media (min-width: 700px) {
  header {
    margin-bottom: 10px;
    color: #fefefe;
    background-color: #767da8;
    padding: 1rem 1rem;
    text-align: left;
    display: block;
    margin-bottom: 200px;
  }
  .form-wrapper {
    margin: 0 auto;
    width: 50%;
    border-radius: 6px;
    box-shadow: 0px 8px 36px #222;
    background-color: #fefefe;
  }
  form {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: minmax(auto, 150px) minmax(auto, 150px);
  }
  div.field {
    padding: 10px;
  }
  div.submit {
    margin-top: 20px;
    width: 100%;
    grid-column: 1 / 3;
    grid-row: 3;
  }
  .button {
    width: 50%;
  }
}
